[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomImage.PictureChanged

Performs actions needed when the Picture property has been changed.

## Declaration

Source position: extctrls.pp line 565

`protected procedure TCustomImage.PictureChanged(`
`Sender: TObject`
`); virtual;`

## Arguments

`Sender` |  | Object instance for the change notification.

## Description

PictureChanged is a procedure used to perform actions needed when the Picture property has been changed. PictureChanged adjusts the size for an assigned bitmap in Picture, and sets its bitmap transparency to the value in the Transparent property. PictureChanged calls Invalidate to cause the image to be repainted. The OnPictureChanged event handler is signalled (when assigned) prior to exiting from the method.

PictureChanged is assigned as the OnChange event handler for the Picture property in the constructor for the class instance.

## See also

TCustomImage.Picture |  | Contains the image displayed in the control.
TCustomImage.Transparent |  | Indicates if the image has a clear, non-opaque background.
TCustomImage.Invalidate |  | Causes the control to be repainted.
TCustomImage.OnPictureChanged |  | Event handler signalled when Picture is changed.